Bug 167893 - [NEW PORT] games/megamario: Mega Mario is a Super Mario Bros 1 clone
Summary: [NEW PORT] games/megamario: Mega Mario is a Super Mario Bros 1 clone
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-14 21:20 UTC by nemysis
Modified: 2012-11-30 19:08 UTC (History)
0 users

See Also:


Attachments
.shar (6.37 KB, text/plain)
2012-05-14 21:20 UTC, nemysis
no flags Details
megamario.diff (979 bytes, patch)
2012-08-07 01:41 UTC, nemysis
no flags Details | Diff
megamario.shar (6.44 KB, application/x-shar)
2012-08-20 16:29 UTC, nemysis
no flags Details
megamario.shar (6.37 KB, application/x-shar)
2012-10-02 18:00 UTC, nemysis
no flags Details
megamario.shar (6.25 KB, application/x-shar)
2012-10-11 02:22 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-05-14 21:20:02 UTC
Mega Mario is a Super Mario Bros. 1 clone.
It features everything the original features - with better graphics,
higher resolution, smoother movement and new levels.
The story of mario and Luigi continues  in old-school style.

WWW: http://www.megamario.de/

Generated manually, tested with RedPorts and port test, sent with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Dmitry Marakasov freebsd_committer 2012-05-15 01:44:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2012-08-08 00:19:46 UTC
Responsible Changed
From-To: amdmi3->jgh

ENOTIME, reassign to jgh@
Comment 3 nemysis 2012-10-02 18:00:41 UTC
Changed

post-patch:
        @${REINPLACE_CMD} -e 's|/usr/share/pixmaps/megamario.png|${PORTNAME}|' \
                ${WRKSRC}/${PORTNAME}.desktop

# Documentation
.if ${PORT_OPTIONS:MDOCS}
        ${MKDIR} ${DOCSDIR}
        ${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
.endif
Comment 4 Jason Helfman freebsd_committer 2012-11-30 19:08:09 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!